gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::ColorChooser Class Reference

This interface can be implemented by widgets which allow the user to choose a color. More...

`#include <gtkmm/colorchooser.h>`

Inheritance diagram for Gtk::ColorChooser:
[legend]

## Public Member Functions
virtual | ~ColorChooser ()
GtkColorChooser* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkColorChooser* | gobj () const
| Provides access to the underlying C GObject. More...
Gdk::RGBA | get_rgba () const
| Gets the currently selected color. More...
void | set_rgba (const Gdk::RGBA& color)
| Sets the color. More...
bool | get_use_alpha () const
| Returns whether the color chooser shows the alpha channel. More...
void | set_use_alpha (bool use_alpha=true)
| Sets whether or not the color chooser should use the alpha channel. More...
void | add_palette (Orientation orientation, int colors_per_line, const std::vector< Gdk::RGBA >& colors)
| Adds a palette to the color chooser. More...
Glib::SignalProxy1< void, const Gdk::RGBA& > | signal_color_activated ()
Glib::PropertyProxy< Gdk::RGBA > | property_rgba ()
| Current color, as a GdkRGBA. More...
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_rgba () const
| Current color, as a GdkRGBA. More...
Glib::PropertyProxy< bool > | property_use_alpha ()
| Whether alpha should be shown. More...
Glib::PropertyProxy_ReadOnly < bool > | property_use_alpha () const
| Whether alpha should be shown. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ColorChooser ()
| You should derive from this class to use it. More...
virtual void | on_color_activated (const Gdk::RGBA& color)
| This is a default handler for the signal signal_color_activated(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ColorChooser > | wrap (GtkColorChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

This interface can be implemented by widgets which allow the user to choose a color.

Depending on the situation, colors may be allowed to have alpha (translucency). The main widgets that implement this interface are ColorChooserWidget, ColorChooserDialog and ColorChooserButton.

Since gtkmm 3.4:

## Constructor & Destructor Documentation

Gtk::ColorChooser::ColorChooser | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gtk::ColorChooser::~ColorChooser | ( |  | ) |
| virtual

## Member Function Documentation

static void Gtk::ColorChooser::add_interface | ( | GType | gtype_implementer | ) |
| static

void Gtk::ColorChooser::add_palette | ( | Orientation | orientation,
|  | int | colors_per_line,
|  | const std::vector< Gdk::RGBA >& | colors
| ) |  |

Adds a palette to the color chooser.

If orientation is horizontal, the colors are grouped in rows, with colors_per_line colors in each row. If orientation is vertical, the colors are grouped in columns instead.

The default color palette of ColorChooserWidget has 27 colors, organized in columns of 3 colors. The default gray palette has 9 grays in a single row.

The layout of the color chooser widget works best when the palettes have 9-10 columns.

Calling this function for the first time has the side effect of removing the default color and gray palettes from the color chooser.

Parameters

  orientation | ORIENTATION_HORIZONTAL if the palette should be displayed in rows, or ORIENTATION_VERTICAL for columns
  colors_per_line | The number of colors to show in each row/column.
  colors | The colors of the palette.

Since gtkmm 3.4:

Gdk::RGBA Gtk::ColorChooser::get_rgba | ( |  | ) | const

Gets the currently selected color.

Returns
  The currently selected color.

Since gtkmm 3.4:

static GType Gtk::ColorChooser::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

bool Gtk::ColorChooser::get_use_alpha | ( |  | ) | const

Returns whether the color chooser shows the alpha channel.

Since gtkmm 3.4:

Returns
  `true` if the color chooser uses the alpha channel, `false` if not.

GtkColorChooser* Gtk::ColorChooser::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkColorChooser* Gtk::ColorChooser::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

virtual void Gtk::ColorChooser::on_color_activated | ( | const Gdk::RGBA& | color | ) |
| protected virtual

This is a default handler for the signal signal_color_activated().

Glib::PropertyProxy< Gdk::RGBA > Gtk::ColorChooser::property_rgba | ( |  | ) |

Current color, as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::ColorChooser::property_rgba | ( |  | ) | const

Current color, as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::ColorChooser::property_use_alpha | ( |  | ) |

Whether alpha should be shown.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColorChooser::property_use_alpha | ( |  | ) | const

Whether alpha should be shown.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::ColorChooser::set_rgba | ( | const Gdk::RGBA& | color | ) |

Sets the color.

Since gtkmm 3.4:

Parameters

  color | The new color.

void Gtk::ColorChooser::set_use_alpha | ( | bool | use_alpha = `true` | ) |

Sets whether or not the color chooser should use the alpha channel.

Since gtkmm 3.4:

Parameters

  use_alpha | `true` if color chooser should use alpha channel, `false` if not.

Glib::SignalProxy1< void,const Gdk::RGBA& > Gtk::ColorChooser::signal_color_activated | ( |  | ) |

Slot Prototype:
  `void on_my_color_activated(const Gdk::RGBA& color)`

Emitted when a color is activated from the color chooser. This usually happens when the user clicks a color swatch, or a color is selected and the user presses one of the keys Space, Shift+Space, Return or Enter.

Since gtkmm 3.4:

Parameters

  color | The color.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ColorChooser > wrap | ( | GtkColorChooser * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.